.setting {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    position: relative;
    opacity: 0;
    z-index: -1;

    &_active {
        display: block;
        opacity: 1;
        z-index: 100;
    }

    &__btn {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 20px;
        height: 20px;
        padding: 1.4rem;
        border-radius: 50%;
        border: none;

        background-color: transparent;
        cursor: pointer;

        &:hover {;
            background: $gray;
        }
    }

    &__action-btn {
        padding: .5rem 1rem;
        cursor: pointer;
        text-decoration: none;
        border: none;
        background: transparent;
        font-size: 2rem;

        &:hover {
            background-color: $gray;
        }
    }

    &__list {
        width: max-content;
        position: absolute;
        top: 3rem;
        left: 0;
        @include list-clear();

        padding: 1rem 0;
        background-color: $white;
        border-radius: 5px;
        box-shadow: 0 0 5px 0 black;

        button {
            width: 100%;
        }
    }
}